Loan

Get available loan offers

post
/api/v1/get-available-loan-offers
  • Get all available loan offers, filter by loan tokens, collateral tokens, loan maturity and pagination with page/pageSize

Body
loanTokensstring · {policyId}.{assetName}[]Optional

Filter by list loan tokens

Example: 29d222ce763455e3d7a09a665ce554f00ac89d2e99a1a83d267170c6.4d494e
collateralTokensstring · {policyId}.{assetName}[] · min: 1 · max: 50Optional

List of Collateral Tokens, in format "{policyId}.{assetName}", for filtering Pools

Example: 29d222ce763455e3d7a09a665ce554f00ac89d2e99a1a83d267170c6.4d494e
loanMaturityinteger · int64 · nullableOptional
  • Loan Maturity in milliseconds, for filtering Pools with maturity greater than this value.
  • If Null return Loan offer with float rate
Example: 1731715200000
pageintegerOptional

Current page, for high performance try to use pagination.offset instead!

Default: 1Example: 1
pageSizeintegerOptional

Page size

Example: 10
Responses
chevron-right
200

Success

application/json
codeintegerOptional

response code, 200 is success, other code is not success

traceIdstringOptional

Trace ID of the request (required when request is error). Trace ID is used to trace the root cause of the error quickly.

messagestringOptional

response message

post
/api/v1/get-available-loan-offers

Get Params for Create Fixed Rate Loan transaction

post
/api/v1/get-create-fixed-loan-params
  • Get parameters for Create Fixed Rate Loan Transaction

  • Documentation: https://docs.danogo.io/developers/integration/how-to-build-transaction-to-create-a-fixed-rate-loan

Body
poolIdstring · {policyId}.{assetName}Required

Token id of the Pool NFT from which the Loan will borrow

Example: 29d222ce763455e3d7a09a665ce554f00ac89d2e99a1a83d267170c6.4d494e
borrowAmountstring · bigintRequired

Amount of token to borrow, in base unit

Example: 10000000000
loanDurationintegerRequired

Loan duration in days

Example: 7
Responses
chevron-right
200

Success

application/json
codeintegerOptional

response code, 200 is success, other code is not success

traceIdstringOptional

Trace ID of the request (required when request is error). Trace ID is used to trace the root cause of the error quickly.

messagestringOptional

response message

post
/api/v1/get-create-fixed-loan-params

Get Params for Create Float Rate Loan transaction

post
/api/v1/get-create-float-loan-params

Get parameters for Create Float Rate Loan Transaction

Body
borrowTokenstring · {policyId}.{assetName}Required

Token id, concat of asset policyId with asset name (Case ADA, id = "")

Example: 29d222ce763455e3d7a09a665ce554f00ac89d2e99a1a83d267170c6.4d494e
borrowAmountstring · bigintRequired

Amount of token to borrow, in base unit

Example: 10000000000
Responses
chevron-right
200

Success

application/json
codeintegerOptional

response code, 200 is success, other code is not success

traceIdstringOptional

Trace ID of the request (required when request is error). Trace ID is used to trace the root cause of the error quickly.

messagestringOptional

response message

post
/api/v1/get-create-float-loan-params

Get Params for Create Loan to Submit GA Transaction

post
/api/v1/get-create-loan-ga-params

Get parameters for Create Loan to Submit GA Transaction Note: API response doesn't include proposal procedures due to object complication, client needs to build themselves.

Body
poolIdstring · {policyId}.{assetName}Optional

Token id of the Pool NFT from which the Loan will borrow

Example: 29d222ce763455e3d7a09a665ce554f00ac89d2e99a1a83d267170c6.4d494e
Responses
chevron-right
200

Success

application/json
codeintegerOptional

response code, 200 is success, other code is not success

traceIdstringOptional

Trace ID of the request (required when request is error). Trace ID is used to trace the root cause of the error quickly.

messagestringOptional

response message

post
/api/v1/get-create-loan-ga-params

Last updated